%define name pose
%define skinversion 1.9
%define version 3.5
%define release 4mdk
%define url http://www.palmos.com/dev/tech/tools/emulator
%define hanspring_url http://www.handspring.com/developers/Devkit2

%{expand:%%define rversion %(echo %{version}|sed -n 's/\([0-9]*\)\.\([0-9]*\)/\1\2/p')}
%{expand:%%define rskinversion %(echo %{skinversion}|sed -n 's/\([0-9]*\)\.\([0-9]*\)/\1\2/p')}

Name: %{name}
Version: %{version}
Release: %{release}
Summary: Offical PalmOS Emulator
Source: %{url}/emulator_src_%{version}.tar.bz2 
Source1: %{url}/emulator-skins-%{rskinversion}.tar.gz
Source2: %{handspring_url}/HandspringSkins_31H3.zip
Group: Emulators
BuildRoot: %{_tmppath}/%{name}-buildroot 
License: GPL
Prefix: %{_prefix}
BuildRequires: fltk-devel >= 1.1.0-0.beta5.1mdk, unzip
BuildRequires: autoconf2.1 automake1.4
Requires: fltk
Patch: Emulator_Src_3.4-GL.patch.bz2
Patch2: Emulator_Src_3.4-update-fltk-filename-calls.patch.bz2
Patch3: %{name}-3.5_casting_va_list.patch.bz2
Patch4: %{name}-3.5-no-braces-uint8.patch.bz2
Patch5: %{name}-3.5-relax-opt.patch.bz2
Patch6: %{name}-g++-3.4-syntax.patch.bz2
URL: %{url}
Obsoletes: xcopilot
Provides: xcopilot

%description 
The Palm OS Emulator (POSE) is software that emulatesa the hardware of
the various models of Palm Computing platform devices. It is extremely
valuable for writing, testing and debugging applications.

%prep 
rm -rf $RPM_BUILD_ROOT 

%setup -q -n Emulator_Src_%{version}
%patch -p1
%patch2 -p1 -b .FL
%ifarch ppc
%patch3 -p1 -b .ppc
%endif
%patch4 -p1 -b .braces
%patch5 -p1 -b .opt
%patch6 -p1 -b .syntax

cd BuildUnix/
export WANT_AUTOCONF_2_1=1
autoconf
for i in {INSTALL,NEWS,README,COPYING,AUTHORS,ChangeLog};do touch $i;done
AUTOMAKE=automake-1.4 ACLOCAL=aclocal-1.4 autoreconf --force

%build 
cd BuildUnix
CXXFLAGS='-fpermissive'
CXXFLAGS=$RPM_OPT_FLAGS$CXXFLAGS
%configure
%make

%install 
rm -rf %buildroot
cd BuildUnix
make install DESTDIR=%{buildroot}
install -d -m755 %buildroot/%{_datadir}/pose/
zcat %{SOURCE1}|tar xf - -C %{buildroot}/%{_datadir}/pose/
pushd %{buildroot}/%{_datadir}/pose/ && {
		mv Skins_v%{skinversion} Skins
		rm -rf Skins/Handspring/
		unzip %{SOURCE2}
		mv HandspringSkins_*/Handspring Skins/
		rm -rf HandspringSkins_*
} && popd
cd ..
install ROMTransfer/Source/ROM_Transfer.prc %buildroot/%{_datadir}/pose/

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root,0755) 
%doc Docs/* SrcShared/HostControl.h
%{_bindir}/%{name}
%{_datadir}/%{name}

%changelog 
* Thu Sep 23 2004 Stew Benedict <sbenedict@mandrakesoft.com> 3.5-4mdk
- add missing ROM_Transfer.prc and HostControl.h (#11697)

* Fri Jun  4 2004 Stew Benedict <sbenedict@mandrakesoft.com> 3.5-3mdk
- rebuild for new libstdc++, specify autoconf/automake
- patch to resolve (patch6):
   "implicit typename is deprecated", "protected in this context"

* Fri Feb  6 2004 Stew Benedict <sbenedict@mandrakesoft.com> 3.5-2mdk
- rebuild, add patch4 - new gcc doesn't like braces around UInt8
- relax opt flags (patch5), otherwise interface only half works

* Thu Jan  2 2003 Stew Benedict <sbenedict@mandrakesoft.com> 3.5-1mdk
- 3.5, drop patch1, add patch3 for PPC build

* Thu Aug 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.4-3mdk
- rebuild

* Tue May 28 2002 Stew Benedict <sbenedict@mandrakesoft.com> 3.4-2mdk
- libfltk calls changed again, rebuild with gcc 3.1

* Fri Apr  5 2002 Stew Benedict <sbenedict@mandrakesoft.com> 3.4-1mdk
- new version

* Mon Dec  3 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.3-1mdk
- Add Hanspring skins.
- Fix compilation with latest libfltk.
- 3.3.

* Fri Nov  9 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.2-5mdk
- Rebuild for deps.

* Thu Aug 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.2-4mdk
- rebuild

* Fri Jun 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.2-3mdk
- (Provides|Obsoletes): xcopilot.

* Thu Jun 14 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.2-2mdk
- Add skins directory
- Fix descriptions.

* Wed Jun 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.2-1mdk
- First mandrake version.

